library Delphi;

{ Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters. }

uses
  SysUtils,
  Dialogs,
  Windows,
  Classes, siis_api,
  ConfigKey in '..\ConfigKey.pas' {DualListDlg},
  Sedrah_u in '..\Sedrah_u.pas' {dbDlg};

const
CODE_BASE=2000;
GET_ID=CODE_BASE+1;
DO_COMMAND=CODE_BASE+2;
INIT_PLUGIN=2003;
UPDATE_MENU=CODE_BASE+4;
NOTIFY_MOUSE_CLICK=CODE_BASE+5;

PLUGIN_ID=$0003;

{$E ssx}

{$R *.RES}
{$INCLUDE ..\common\siis_prototypes.inc}
// ===========================================================================
Var
pMenu:PExtMenu;
szCaption:array[0..128] of char;

function SARASOFT_PLUGIN(nCode:Integer; dataStruct:Pointer):Integer; stdcall;
begin
 case nCode of
   GET_ID:
     Result:=PLUGIN_ID;

   DO_COMMAND:
    begin
     if (gDlgShowing=FALSE) Then
      begin
       dbDlg:=TdbDlg.Create(nil);
       dbDlg.Show;
       gDlgShowing:=TRUE;
      end;
    end;

   INIT_PLUGIN:
    begin
     pMenu:=PExtMenu(dataStruct);
     pMenu.Version:=10;
     pMenu.PluginID:=PLUGIN_ID;
     pMenu.szMenuCaption:=szcaption;
     pMenu.iMenuID:=$0001;
    end;
 end;
end;

exports
SARASOFT_PLUGIN;

begin
 gDlgShowing:=FALSE;
end.


